> For the complete documentation index, see [llms.txt](https://docs.seismic.systems/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.seismic.systems/clients/python/abis.md).

# ABIs

The SDK exports protocol ABIs, genesis contract addresses, and deposit helper utilities.

## Constants

| Constant                                                               | Type         | Description                                       |
| ---------------------------------------------------------------------- | ------------ | ------------------------------------------------- |
| [`SRC20_ABI`](/clients/python/abis/src20-abi.md)                       | `list[dict]` | SRC20 token interface (7 functions, 2 events)     |
| [`DEPOSIT_CONTRACT_ABI`](/clients/python/abis/deposit-contract.md)     | `list[dict]` | Validator deposit contract (4 functions, 1 event) |
| [`DEPOSIT_CONTRACT_ADDRESS`](/clients/python/abis/deposit-contract.md) | `str`        | `0x00000000219ab540356cBB839Cbe05303d7705Fa`      |
| [`DIRECTORY_ABI`](/clients/python/abis/directory.md)                   | `list[dict]` | Viewing key directory (4 functions)               |
| [`DIRECTORY_ADDRESS`](/clients/python/abis/directory.md)               | `str`        | `0x1000000000000000000000000000000000000004`      |

## Helper Functions

| Function                                                                             | Returns | Description                                      |
| ------------------------------------------------------------------------------------ | ------- | ------------------------------------------------ |
| [`compute_deposit_data_root`](/clients/python/abis/compute-deposit-data-root.md)     | `bytes` | SHA-256 SSZ hash tree root for deposit data      |
| [`make_withdrawal_credentials`](/clients/python/abis/make-withdrawal-credentials.md) | `bytes` | 32-byte ETH1 withdrawal credentials from address |

## Example

```python
import os
from eth_abi import decode
from seismic_web3 import PrivateKey, SEISMIC_TESTNET, SRC20_ABI

pk = PrivateKey.from_hex_str(os.environ["PRIVATE_KEY"])
w3 = SEISMIC_TESTNET.wallet_client(pk)

token = w3.seismic.contract("0xYourTokenAddress", SRC20_ABI)
balance = decode(["uint256"], bytes(token.read.balanceOf()))[0]
```

## See Also

* [SRC20](/clients/python/src20.md) — SRC20 token usage guide
* [Contract](/clients/python/contract.md) — Contract interaction patterns
* [Namespaces](/clients/python/namespaces.md) — `w3.seismic` methods including `deposit`, `get_deposit_count`, `get_deposit_root`


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.seismic.systems/clients/python/abis.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
